RK-J - Task #2681

Update index name validity
10/31/2022 11:14 AM - Ram Kordale

Status: Closed Start date: 10/31/2022
Priority: High Due date:

Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

Currently, we check for validity of index names. However, Elasticsearch seems to have made some changes. So, please update that
logic as follows.

Index names must meet the following criteria:

Lowercase only

Cannotinclude \, /, *, ?,", <, >, |, ~ (space character), ,, #

Indices prior to 7.0 could contain a colon (:), but that's been deprecated and won’t be supported in 7.0+

Cannot start with -, _, +

Cannot be . or ..

Cannot be longer than 255 bytes (note it is bytes, so multi-byte characters will count towards the 255 limit faster)
Names starting with . are deprecated, except for hidden indices and internal indices managed by plugins

History

#1 - 10/31/2022 12:33 PM - Ram Kordale

- Assignee set to Venmubhilan B

#2 - 10/31/2022 12:35 PM - Venmuhilan B

- Status changed from New to In Progress

#3 - 10/31/2022 01:19 PM - Venmuhilan B
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#4 - 06/14/2023 10:31 AM - Venmuhilan B

- Status changed from Resolved to Feedback

#5 - 06/14/2023 01:46 PM - Venmuhilan B

- Assignee changed from Venmuhilan B to Ayush Khandelwal

#6 - 07/10/2023 07:48 AM - Ayush Khandelwal

- Assignee changed from Ayush Khandelwal to Ram Kordale

Working as expected

#7 - 07/13/2023 04:51 AM - Ram Kordale
- Status changed from Feedback to Closed
